Subject: Re: [Ips] Format Error and Invalid PDU field

From: "Eddy Quicksall" <[email-masked]>
Date: Fri, 1 Oct 2004 14:11:07 -0400

I don't see an answer to this question. My take is that if the initiator
does something wrong, it will probably not correct itself automatically. So,
I would always just drop the connection.

Eddy

----- Original Message ----- 
From: "Hirobumi Yamaguchi" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, September 01, 2004 3:28 AM
Subject: [Ips] Format Error and Invalid PDU field

> Hi,
>
> I would like to know about the difference between Format Error
> and invalid PDU field.
>
> RFC3720 section 6.6 says:
>
>    The following two explicit violations of PDU layout rules are format
>    errors:
>
>       a)  Illegal contents of any PDU header field except the Opcode
>           (legal values are specified in Section 10 iSCSI PDU Formats).
>       b)  Inconsistent field contents (consistent field contents are
>           specified in Section 10 iSCSI PDU Formats).
>
>    When a target or an initiator receives an iSCSI PDU with a format
>    error, it MUST immediately terminate all transport connections in the
>    session...
>
>
> section 10.17.1 says:
>
>    (Reason code 0x09 Invalid PDU field)
>    Note 2: A target should use this reason code for all invalid values
>    of PDU fields that are meant to describe a task,  a response, or a
>    data transfer.  Some examples are invalid TTT/ITT, buffer offset, LUN
>    qualifying a TTT, and an invalid sequence number in a SNACK.
>
> Please show me some examples about Format Error.
>
> When a target receives a TMF request PDU with `Function'=6(TARGET WARM
RESET)
> and `LUN or Reserved'=1(this must be zero as reserved),
> should the target close the session or send a Reject PDU with `Reason
code`=9 ?
>
> If the target should send the Reject PDU, should it send TMF response PDU
> after the Reject PDU?
>
> Thanks,
> Hirobumi Yamaguchi
>
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips